## clamav 0.96.1+dfsg

=== libclamav/c++/llvm/tools/CMakeLists.txt ===
# NOTE: The tools are organized into five groups of four consisting of one
# large and three small executables. This is done to minimize memory load
# in parallel builds.  Please retain this ordering.

if( NOT WIN32 OR MSYS OR CYGWIN )
  # It is useful to build llvm-config before the other tools, so we
  # have a fresh LibDeps.txt for regenerating the hard-coded library
  # dependencies. llvm-config/CMakeLists.txt takes care of this but we
  # must keep llvm-config as the first entry on the list of tools to
  # be built.
  add_subdirectory(llvm-config)
endif()

add_subdirectory(llvm-as)
add_subdirectory(llvm-dis)

add_subdirectory(llc)

add_subdirectory(lli)


add_subdirectory(llvmc)

if( EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/clang/CMakeLists.txt )
  add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/clang )
endif( EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/clang/CMakeLists.txt )

set(LLVM_COMMON_DEPENDS ${LLVM_COMMON_DEPENDS} PARENT_SCOPE)

=== libclamav/c++/llvm/tools/Makefile ===
##===- tools/Makefile --------------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL := ..

# Build clang if present.
OPTIONAL_PARALLEL_DIRS := clang

# NOTE: The tools are organized into five groups of four consisting of one
# large and three small executables. This is done to minimize memory load
# in parallel builds.  Please retain this ordering.
DIRS := llvm-config
PARALLEL_DIRS := opt llvm-as llvm-dis \
                 llc llvm-ranlib llvm-ar llvm-nm \
                 llvm-ld llvm-prof llvm-link \
                 lli llvm-extract \
                 bugpoint llvm-bcanalyzer llvm-stub \
                 llvm-mc llvmc \
                 edis
                 

# Let users override the set of tools to build from the command line.
ifdef ONLY_TOOLS
  OPTIONAL_PARALLEL_DIRS :=
  PARALLEL_DIRS := $(ONLY_TOOLS)
endif

include $(LEVEL)/Makefile.config

# These libraries build as dynamic libraries (.dylib /.so), they can only be
# built if ENABLE_PIC is set.
ifeq ($(ENABLE_PIC),1)
  # No support for dynamic libraries on windows targets.
  ifneq ($(TARGET_OS), $(filter $(TARGET_OS), Cygwin MingW))
    PARALLEL_DIRS += edis
    
    # gold only builds if binutils is around.  It requires "lto" to build before
    # it so it is added to DIRS.
    ifdef BINUTILS_INCDIR
      PARALLEL_DIRS += gold
      DIRS += lto
    else
      PARALLEL_DIRS += lto
    endif
  endif
endif

# Only build edis if X86 target support is enabled.
ifeq ($(filter $(TARGETS_TO_BUILD), X86),)
  PARALLEL_DIRS := $(filter-out edis, $(PARALLEL_DIRS))
endif

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/VMCore/Makefile ===
##===- lib/VMCore/Makefile ------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ../..
LIBRARYNAME = LLVMCore
BUILD_ARCHIVE = 1
REQUIRES_RTTI = 1

BUILT_SOURCES = $(PROJ_OBJ_ROOT)/include/llvm/Intrinsics.gen

include $(LEVEL)/Makefile.common

GENFILE:=$(PROJ_OBJ_ROOT)/include/llvm/Intrinsics.gen

INTRINSICTD  := $(PROJ_SRC_ROOT)/include/llvm/Intrinsics.td
INTRINSICTDS := $(wildcard $(PROJ_SRC_ROOT)/include/llvm/Intrinsics*.td)

$(ObjDir)/Intrinsics.gen.tmp: $(ObjDir)/.dir $(INTRINSICTDS) $(TBLGEN)
	$(Echo) Building Intrinsics.gen.tmp from Intrinsics.td
	$(Verb) $(TableGen) $(call SYSPATH, $(INTRINSICTD)) -o $(call SYSPATH, $@) -gen-intrinsic

$(GENFILE): $(ObjDir)/Intrinsics.gen.tmp
	$(Verb) $(CMP) -s $@ $< || ( $(CP) $< $@ && \
	  $(EchoCmd) Updated Intrinsics.gen because Intrinsics.gen.tmp \
	    changed significantly. )

install-local:: $(GENFILE)
	$(Echo) Installing $(DESTDIR)$(PROJ_includedir)/llvm/Intrinsics.gen
	$(Verb) $(DataInstall) $(GENFILE) $(DESTDIR)$(PROJ_includedir)/llvm/Intrinsics.gen

=== libclamav/c++/llvm/utils/FileCheck/CMakeLists.txt ===
add_executable(FileCheck
  FileCheck.cpp
  )

target_link_libraries(FileCheck LLVMSupport LLVMSystem)
if( MINGW )
  target_link_libraries(FileCheck imagehlp psapi)
endif( MINGW )
if( LLVM_ENABLE_THREADS AND HAVE_LIBPTHREAD )
  target_link_libraries(FileCheck pthread)
endif()

=== libclamav/c++/llvm/utils/FileCheck/Makefile ===
##===- utils/FileCheck/Makefile ----------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ../..
TOOLNAME = FileCheck
USEDLIBS = LLVMSupport.a LLVMSystem.a

# This tool has no plugins, optimize startup time.
TOOL_NO_EXPORTS = 1

# Don't install this utility
NO_INSTALL = 1

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/utils/FileUpdate/CMakeLists.txt ===
add_executable(FileUpdate
  FileUpdate.cpp
  )

target_link_libraries(FileUpdate LLVMSupport LLVMSystem)
if( MINGW )
  target_link_libraries(FileUpdate imagehlp psapi)
endif( MINGW )
if( LLVM_ENABLE_THREADS AND HAVE_LIBPTHREAD )
  target_link_libraries(FileUpdate pthread)
endif()

=== libclamav/c++/llvm/utils/TableGen/Makefile ===
##===- utils/TableGen/Makefile -----------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ../..
TOOLNAME = tblgen
USEDLIBS = LLVMSupport.a LLVMSystem.a
REQUIRES_EH := 1
REQUIRES_RTTI := 1

# This tool has no plugins, optimize startup time.
TOOL_NO_EXPORTS = 1

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/utils/not/Makefile ===
##===- utils/not/Makefile ----------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ../..
TOOLNAME = not
USEDLIBS = LLVMSupport.a LLVMSystem.a

# This tool has no plugins, optimize startup time.
TOOL_NO_EXPORTS = 1

# Don't install this utility
NO_INSTALL = 1

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/CodeGen/AsmPrinter/CMakeLists.txt ===
add_llvm_library(LLVMAsmPrinter
  AsmPrinter.cpp
  DIE.cpp
  DwarfDebug.cpp
  DwarfException.cpp
  DwarfLabel.cpp
  DwarfPrinter.cpp
  DwarfWriter.cpp
  OcamlGCPrinter.cpp
  )

=== libclamav/c++/llvm/lib/Target/PowerPC/CMakeLists.txt ===
set(LLVM_TARGET_DEFINITIONS PPC.td)

tablegen(PPCGenInstrNames.inc -gen-instr-enums)
tablegen(PPCGenRegisterNames.inc -gen-register-enums)
tablegen(PPCGenAsmWriter.inc -gen-asm-writer)
tablegen(PPCGenCodeEmitter.inc -gen-emitter)
tablegen(PPCGenRegisterInfo.h.inc -gen-register-desc-header)
tablegen(PPCGenRegisterInfo.inc -gen-register-desc)
tablegen(PPCGenInstrInfo.inc -gen-instr-desc)
tablegen(PPCGenDAGISel.inc -gen-dag-isel)
tablegen(PPCGenCallingConv.inc -gen-callingconv)
tablegen(PPCGenSubtarget.inc -gen-subtarget)

add_llvm_target(PowerPCCodeGen
  PPCBranchSelector.cpp
  PPCCodeEmitter.cpp
  PPCHazardRecognizers.cpp
  PPCInstrInfo.cpp
  PPCISelDAGToDAG.cpp
  PPCISelLowering.cpp
  PPCJITInfo.cpp
  PPCMCAsmInfo.cpp
  PPCPredicates.cpp
  PPCRegisterInfo.cpp
  PPCSubtarget.cpp
  PPCTargetMachine.cpp
  )

target_link_libraries (LLVMPowerPCCodeGen LLVMSelectionDAG)

=== libclamav/c++/llvm/lib/Transforms/Scalar/CMakeLists.txt ===
add_llvm_library(LLVMScalarOpts
  ABCD.cpp
  ADCE.cpp
  BasicBlockPlacement.cpp
  CodeGenPrepare.cpp
  ConstantProp.cpp
  DCE.cpp
  DeadStoreElimination.cpp
  GEPSplitter.cpp
  GVN.cpp
  IndVarSimplify.cpp
  JumpThreading.cpp
  LICM.cpp
  LoopDeletion.cpp
  LoopIndexSplit.cpp
  LoopRotation.cpp
  LoopStrengthReduce.cpp
  LoopUnrollPass.cpp
  LoopUnswitch.cpp
  MemCpyOptimizer.cpp
  Reassociate.cpp
  Reg2Mem.cpp
  SCCP.cpp
  SCCVN.cpp
  Scalar.cpp
  ScalarReplAggregates.cpp
  SimplifyCFGPass.cpp
  SimplifyHalfPowrLibCalls.cpp
  SimplifyLibCalls.cpp
  TailDuplication.cpp
  TailRecursionElimination.cpp
  )

target_link_libraries (LLVMScalarOpts LLVMTransformUtils)

=== libclamav/c++/llvm/lib/Transforms/Utils/CMakeLists.txt ===
add_llvm_library(LLVMTransformUtils
  AddrModeMatcher.cpp
  BasicBlockUtils.cpp
  BasicInliner.cpp
  BreakCriticalEdges.cpp
  BuildLibCalls.cpp
  CloneFunction.cpp
  CloneLoop.cpp
  CloneModule.cpp
  CodeExtractor.cpp
  DemoteRegToStack.cpp
  InlineFunction.cpp
  InstructionNamer.cpp
  LCSSA.cpp
  Local.cpp
  LoopSimplify.cpp
  LoopUnroll.cpp
  LowerInvoke.cpp
  LowerSwitch.cpp
  Mem2Reg.cpp
  PromoteMemoryToRegister.cpp
  SSAUpdater.cpp
  SSI.cpp
  SimplifyCFG.cpp
  UnifyFunctionExitNodes.cpp
  ValueMapper.cpp
  )

target_link_libraries (LLVMTransformUtils LLVMSupport)

## clamav 0.96.4+dfsg

=== libclamav/c++/llvm/utils/Makefile ===
##===- utils/Makefile --------------------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ..
PARALLEL_DIRS := TableGen fpcmp PerfectShuffle FileCheck FileUpdate count not unittest

EXTRA_DIST := cgiplotNLT.pl check-each-file codegen-diff countloc.sh cvsupdate \
              DSAclean.py DSAextract.py emacs findsym.pl GenLibDeps.pl \
	      getsrcs.sh importNLT.pl llvmdo llvmgrep llvm-native-gcc \
	      llvm-native-gxx makellvm NightlyTest.gnuplot NightlyTest.pl \
	      NightlyTestTemplate.html NLT.schema OldenDataRecover.pl \
	      parseNLT.pl plotNLT.pl profile.pl RegressionFinder.pl userloc.pl \
	      webNLT.pl vim

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/include/llvm/CMakeLists.txt ===
set(LLVM_TARGET_DEFINITIONS Intrinsics.td)

tablegen(Intrinsics.gen -gen-intrinsic)

add_custom_target(intrinsics_gen ALL
  DEPENDS ${llvm_builded_incs_dir}/Intrinsics.gen)

set(LLVM_COMMON_DEPENDS ${LLVM_COMMON_DEPENDS} intrinsics_gen PARENT_SCOPE)

if( MSVC_IDE OR XCODE )
  # Creates a dummy target containing all headers for the benefit of
  # Visual Studio users.
  file(GLOB_RECURSE headers *.h)
  add_td_sources(headers)
  add_library(llvm_headers_do_not_build EXCLUDE_FROM_ALL
    # We need at least one source file:
    ${LLVM_MAIN_SRC_DIR}/lib/Transforms/Hello/Hello.cpp
    ${headers})
endif()

=== libclamav/c++/llvm/lib/Analysis/CMakeLists.txt ===
add_llvm_library(LLVMAnalysis
  AliasAnalysis.cpp
  AliasAnalysisCounter.cpp
  AliasAnalysisEvaluator.cpp
  AliasDebugger.cpp
  AliasSetTracker.cpp
  Analysis.cpp
  BasicAliasAnalysis.cpp
  CFGPrinter.cpp
  CaptureTracking.cpp
  ConstantFolding.cpp
  DbgInfoPrinter.cpp
  DebugInfo.cpp
  DomPrinter.cpp
  IVUsers.cpp
  InlineCost.cpp
  InstCount.cpp
  InstructionSimplify.cpp
  Interval.cpp
  IntervalPartition.cpp
  LazyValueInfo.cpp
  LibCallAliasAnalysis.cpp
  LibCallSemantics.cpp
  LiveValues.cpp
  LoopDependenceAnalysis.cpp
  LoopInfo.cpp
  LoopPass.cpp
  MemoryBuiltins.cpp
  MemoryDependenceAnalysis.cpp
  PHITransAddr.cpp
  PointerTracking.cpp
  PostDominators.cpp
  ProfileEstimatorPass.cpp
  ProfileInfo.cpp
  ProfileInfoLoader.cpp
  ProfileInfoLoaderPass.cpp
  ProfileVerifierPass.cpp
  ScalarEvolution.cpp
  ScalarEvolutionAliasAnalysis.cpp
  ScalarEvolutionExpander.cpp
  SparsePropagation.cpp
  Trace.cpp
  ValueTracking.cpp
  )

target_link_libraries (LLVMAnalysis LLVMSupport)

=== libclamav/c++/llvm/lib/AsmParser/Makefile ===
##===- lib/AsmParser/Makefile ------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
LIBRARYNAME := LLVMAsmParser
BUILD_ARCHIVE = 1

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/System/CMakeLists.txt ===
add_llvm_library(LLVMSystem
  Alarm.cpp
  Atomic.cpp
  Disassembler.cpp
  DynamicLibrary.cpp
  Errno.cpp
  Host.cpp
  IncludeFile.cpp
  Memory.cpp
  Mutex.cpp
  Path.cpp
  Process.cpp
  Program.cpp
  RWMutex.cpp
  Signals.cpp
  ThreadLocal.cpp
  Threading.cpp
  TimeValue.cpp
  Unix/Alarm.inc
  Unix/Host.inc
  Unix/Memory.inc
  Unix/Mutex.inc
  Unix/Path.inc
  Unix/Process.inc
  Unix/Program.inc
  Unix/RWMutex.inc
  Unix/Signals.inc
  Unix/ThreadLocal.inc
  Unix/TimeValue.inc
  Win32/Alarm.inc
  Win32/DynamicLibrary.inc
  Win32/Host.inc
  Win32/Memory.inc
  Win32/Mutex.inc
  Win32/Path.inc
  Win32/Process.inc
  Win32/Program.inc
  Win32/RWMutex.inc
  Win32/Signals.inc
  Win32/ThreadLocal.inc
  Win32/TimeValue.inc
  )

if( BUILD_SHARED_LIBS AND NOT WIN32 )
  target_link_libraries(LLVMSystem ${CMAKE_DL_LIBS})
endif()

=== libclamav/c++/llvm/lib/Transforms/Makefile ===
##===- lib/Transforms/Makefile -----------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
PARALLEL_DIRS = Utils Instrumentation Scalar InstCombine IPO Hello

include $(LEVEL)/Makefile.config

# No support for plugins on windows targets
ifeq ($(HOST_OS), $(filter $(HOST_OS), Cygwin MingW))
  PARALLEL_DIRS := $(filter-out Hello, $(PARALLEL_DIRS))
endif

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/unittests/ADT/Makefile ===
##===- unittests/ADT/Makefile ------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
TESTNAME = ADT
LINK_COMPONENTS := core support

include $(LEVEL)/Makefile.config

# Xfail BitVectorTest for now on PPC Darwin.  7598360.
ifeq ($(ARCH),PowerPC)
ifeq ($(TARGET_OS),Darwin)
CPP.Flags += -DXFAIL
endif
endif

include $(LLVM_SRC_ROOT)/unittests/Makefile.unittest

=== libclamav/c++/llvm/utils/not/CMakeLists.txt ===
add_executable(not
  not.cpp
  )

target_link_libraries(not LLVMSystem)
if( MINGW )
  target_link_libraries(not imagehlp psapi)
endif( MINGW )
if( LLVM_ENABLE_THREADS AND HAVE_LIBPTHREAD )
  target_link_libraries(not pthread)
endif()

=== libclamav/c++/llvm/lib/Target/ARM/Makefile ===
##===- lib/Target/ARM/Makefile -----------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../../..
LIBRARYNAME = LLVMARMCodeGen
TARGET = ARM

# Make sure that tblgen is run, first thing.
BUILT_SOURCES = ARMGenRegisterInfo.h.inc ARMGenRegisterNames.inc \
                ARMGenRegisterInfo.inc ARMGenInstrNames.inc \
                ARMGenInstrInfo.inc ARMGenAsmWriter.inc \
                ARMGenDAGISel.inc ARMGenSubtarget.inc \
                ARMGenCodeEmitter.inc ARMGenCallingConv.inc

DIRS = AsmPrinter AsmParser TargetInfo

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/Target/X86/CMakeLists.txt ===
set(LLVM_TARGET_DEFINITIONS X86.td)

tablegen(X86GenRegisterInfo.h.inc -gen-register-desc-header)
tablegen(X86GenRegisterNames.inc -gen-register-enums)
tablegen(X86GenRegisterInfo.inc -gen-register-desc)
tablegen(X86GenDisassemblerTables.inc -gen-disassembler)
tablegen(X86GenInstrNames.inc -gen-instr-enums)
tablegen(X86GenInstrInfo.inc -gen-instr-desc)
tablegen(X86GenAsmWriter.inc -gen-asm-writer)
tablegen(X86GenAsmWriter1.inc -gen-asm-writer -asmwriternum=1)
tablegen(X86GenAsmMatcher.inc -gen-asm-matcher)
tablegen(X86GenDAGISel.inc -gen-dag-isel)
tablegen(X86GenFastISel.inc -gen-fast-isel)
tablegen(X86GenCallingConv.inc -gen-callingconv)
tablegen(X86GenSubtarget.inc -gen-subtarget)

set(sources
  X86AsmBackend.cpp
  X86CodeEmitter.cpp
  X86COFFMachineModuleInfo.cpp
  X86ELFWriterInfo.cpp
  X86FloatingPoint.cpp
  X86FloatingPointRegKill.cpp
  X86ISelDAGToDAG.cpp
  X86ISelLowering.cpp
  X86InstrInfo.cpp
  X86JITInfo.cpp
  X86MCAsmInfo.cpp
  X86MCCodeEmitter.cpp 
  X86MCTargetExpr.cpp
  X86RegisterInfo.cpp
  X86Subtarget.cpp
  X86TargetMachine.cpp
  X86TargetObjectFile.cpp
  X86FastISel.cpp
  )

if( CMAKE_CL_64 )
  enable_language(ASM_MASM)
  set(sources ${sources} X86CompilationCallback_Win64.asm)
endif()

add_llvm_target(X86CodeGen ${sources})

target_link_libraries (LLVMX86CodeGen LLVMSelectionDAG)

=== libclamav/c++/llvm/lib/Target/X86/AsmParser/Makefile ===
##===- lib/Target/X86/AsmParser/Makefile -------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ../../../..
LIBRARYNAME = LLVMX86AsmParser

# Hack: we need to include 'main' x86 target directory to grab private headers
CPPFLAGS = -I$(PROJ_OBJ_DIR)/.. -I$(PROJ_SRC_DIR)/..

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/tools/llvmc/example/Skeleton/Makefile ===
##===- llvmc/example/Skeleton/Makefile ---------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open
# Source License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

# Change this so that $(BASE_LEVEL)/Makefile.common refers to
# $LLVM_DIR/Makefile.common or $YOUR_LLVM_BASED_PROJECT/Makefile.common.
export LLVMC_BASE_LEVEL = ../../../..

# Change this to the name of your LLVMC-based driver.
export LLVMC_BASED_DRIVER_NAME = llvmc-skeleton

# List your plugin names here
export LLVMC_BUILTIN_PLUGINS = # Plugin

LEVEL = $(LLVMC_BASE_LEVEL)

DIRS = plugins driver

include $(LEVEL)/Makefile.common

## clamav 0.97.8+dfsg

=== libclamav/c++/llvm/lib/Target/X86/CMakeLists.txt ===
--- 
+++ 
@@ -13,33 +13,40 @@
 tablegen(X86GenFastISel.inc -gen-fast-isel)
 tablegen(X86GenCallingConv.inc -gen-callingconv)
 tablegen(X86GenSubtarget.inc -gen-subtarget)
+tablegen(X86GenEDInfo.inc -gen-enhanced-disassembly-info)
 
 set(sources
+  SSEDomainFix.cpp
   X86AsmBackend.cpp
+  X86AsmPrinter.cpp
+  X86COFFMachineModuleInfo.cpp
   X86CodeEmitter.cpp
-  X86COFFMachineModuleInfo.cpp
   X86ELFWriterInfo.cpp
+  X86FastISel.cpp
   X86FloatingPoint.cpp
-  X86FloatingPointRegKill.cpp
   X86ISelDAGToDAG.cpp
   X86ISelLowering.cpp
   X86InstrInfo.cpp
   X86JITInfo.cpp
   X86MCAsmInfo.cpp
   X86MCCodeEmitter.cpp 
-  X86MCTargetExpr.cpp
+  X86MCInstLower.cpp
   X86RegisterInfo.cpp
+  X86SelectionDAGInfo.cpp
   X86Subtarget.cpp
   X86TargetMachine.cpp
   X86TargetObjectFile.cpp
-  X86FastISel.cpp
   )
 
 if( CMAKE_CL_64 )
   enable_language(ASM_MASM)
-  set(sources ${sources} X86CompilationCallback_Win64.asm)
+  ADD_CUSTOM_COMMAND(
+    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/X86CompilationCallback_Win64.obj
+    COMMAND ${CMAKE_ASM_MASM_COMPILER} /Fo ${CMAKE_CURRENT_BINARY_DIR}/X86CompilationCallback_Win64.obj /c ${CMAKE_CURRENT_SOURCE_DIR}/X86CompilationCallback_Win64.asm
+    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/X86CompilationCallback_Win64.asm
+   )
+   set(sources ${sources} ${CMAKE_CURRENT_BINARY_DIR}/X86CompilationCallback_Win64.obj)
 endif()
 
 add_llvm_target(X86CodeGen ${sources})
 
-target_link_libraries (LLVMX86CodeGen LLVMSelectionDAG)

## clamav 0.98.1%2Bdfsg

=== debian/changelog ===
clamav (0.98.1+dfsg-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Mar 2014 08:59:31 -0400

clamav (0.98.1+dfsg-4) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * Postinst scripts: fix empty access and broken freshclam.conf in
    clamav-base.postinst.in and clamav-freshclam.postinst.in (Closes: #741675)
    (LP: #1293042)
  * Postinst scripts: fix quoting

  [ Andreas Cadhalpun ]
  * Add templates and adapt postinst and config scripts for the new options
    in 0.98 to fix the creation of the configuration files (Closes: #741675)
    (LP: #1293042)
  * Reset new options to default to fix breakage in previous upload
  * Automatically updated translation files

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Mar 2014 12:10:51 -0400

clamav (0.98.1+dfsg-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Mar 2014 12:47:13 -0400

clamav (0.98.1+dfsg-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Switch to format 3.0 (quilt) to enable use of git-dpm
  * Extract existing inline changes into new commits/dpm patches
    - Change paths in sample conf file to match Debian
    - Add patch so that RAR tests are not expected to pass with RAR disabled 
    - Add 0003-configure-use-pkg-config-for-check-so-test-is-detect.patch 
    - Add 0004-Stop-using-a-cargo-culted-syscall-table-and-trust-th.patch
    - Add 0005-configure.ac-patches-to-got-with-autoreconf-and-auto.patch
    - Add 0006-Fix-STAT64-definition-and-add-missing-includes.patch 
  * Fix vcs-field-not-canonical for both git and web access
  * Add libxml2-dev to build-depends for dmg and xar support
  * Add options in debian/clamav-base.postinst.in, clamav-daemon.postinst.in,
    clamav-freshclam.postinst.in, and clamav-milter.postinst.in for new 0.98
    series options
  * Disable LLVM for hurd/ports that don't support it

  [ Andreas Cadhalpun ]
  * Remove unneccesary '-i' option from dh_autoreconf
  * Remove trailing \ from --with-dbdir path to avoid resulting paths with \\
  * Add debian/upstream/signing-key.asc and a lintian-override for the
    lintian bug and update the watchfile
  * debian/clamav-base.postinst.in: Update to reflect the change from
    examples/clamd.conf to examples/clamd.conf.sample (Closes: #741512)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Mar 2014 16:30:45 -0400

clamav (0.98.1+dfsg-2ubuntu2) trusty; urgency=medium

  * Build without LLVM support on ppc64el to fix test failures.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Mar 2014 15:18:32 +0000

clamav (0.98.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes

 -- Scott Kitterman <scott@kitterman.com>  Wed, 05 Mar 2014 23:59:25 -0500

clamav (0.98.1+dfsg-2) unstable; urgency=medium

  [ Adam Conrad ]
  * Stop using a cargo-culted syscall table and trust the glibc headers
    (Closes: #733035)

  [ Louis Bouchard ]
  * debian/common_functions
    - Fix slurp_config() that is sometimes not discriminative
      enough which leads to invalid configuration files (LP: #799623 )

  [ Yolanda Robla ]
  * Add autopkgtests (Closes: #710260)

  [ Sebastian Andrzej Siewior ]
  * unit_test: check_clamav: skip .rar files if there is no rar support to fix
    test failure (and FTBFS) when tests are run
  * configure: use pkg-config for check so test is detected and tests will run

  [ Scott Kitterman ]
  * Add pkg-config to build-depends
  * Remove rule that touched libclamav/version.h since it is no longer missing
    in 0.98.1

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Mar 2014 16:49:54 -0500

clamav (0.98.1+dfsg-1ubuntu5) trusty; urgency=low

  * debian/common_functions
    - Fix slurp_config() that is sometimes not discriminative
    enough which leads to invalid configuration files (LP: #799623)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 10 Feb 2014 17:56:52 +0100

clamav (0.98.1+dfsg-1ubuntu4) trusty; urgency=medium

  * Stop using a cargo-culted syscall table and trust the glibc headers.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 03 Feb 2014 17:04:49 -0700

clamav (0.98.1+dfsg-1ubuntu3) trusty; urgency=low

  * Add #ifndef __NR_fanotify_init in clamd/fan-syscalllib.h to avoid local
    definitions when already defined and FTBFS if local definition is missing
    - Fix for FTBFS on arm64

 -- Scott Kitterman <scott@kitterman.com>  Mon, 03 Feb 2014 13:24:29 -0500

clamav (0.98.1+dfsg-1ubuntu2) trusty; urgency=low

  * Really drop build-dep on electric-fence (in Universe)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Feb 2014 14:42:28 -0500

clamav (0.98.1+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop build-dep on electric-fence (in Universe)
    - Add apparmor profiles for clamd and freshclam along with maintainer
      script changes
    - Add autopkgtest

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Feb 2014 11:06:17 -0500

clamav (0.98.1+dfsg-1) unstable; urgency=low

  * New upstream release
    - Update embedded-library override for modified zlib for new SO version
  * Add definitions in clamd/fan-syscalllib.h for missing arches to fix FTBFS
    (Closes: #737119)
    - Thanks to Andreas Cadhalpun for the patch
  * Really use autoreconf (Closes: #727291) again
    - Thanks to Andreas Cadhalpun for the corrected patch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Jan 2014 23:03:09 -0500



## clamav 0.98.1+dfsg

=== libclamav/c++/llvm/lib/System/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,12 @@
   Process.cpp
   Program.cpp
   RWMutex.cpp
+  SearchForAddressOfSpecialSymbol.cpp
   Signals.cpp
   ThreadLocal.cpp
   Threading.cpp
   TimeValue.cpp
+  Valgrind.cpp
   Unix/Alarm.inc
   Unix/Host.inc
   Unix/Memory.inc

=== libclamav/c++/llvm/lib/Transforms/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 include $(LEVEL)/Makefile.config
 
 # No support for plugins on windows targets
-ifeq ($(HOST_OS), $(filter $(HOST_OS), Cygwin MingW))
+ifeq ($(HOST_OS), $(filter $(HOST_OS), Cygwin MingW Minix))
   PARALLEL_DIRS := $(filter-out Hello, $(PARALLEL_DIRS))
 endif

=== libclamav/c++/llvm/lib/Target/PowerPC/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
   PPCRegisterInfo.cpp
   PPCSubtarget.cpp
   PPCTargetMachine.cpp
+  PPCSelectionDAGInfo.cpp
   )
 
 target_link_libraries (LLVMPowerPCCodeGen LLVMSelectionDAG)

=== libclamav/c++/llvm/lib/Transforms/IPO/CMakeLists.txt ===
add_llvm_library(LLVMipo
  ArgumentPromotion.cpp
  ConstantMerge.cpp
  DeadArgumentElimination.cpp
  DeadTypeElimination.cpp
  ExtractGV.cpp
  FunctionAttrs.cpp
  GlobalDCE.cpp
  GlobalOpt.cpp
  IPConstantPropagation.cpp
  IPO.cpp
  InlineAlways.cpp
  InlineSimple.cpp
  Inliner.cpp
  Internalize.cpp
  LoopExtractor.cpp
  LowerSetJmp.cpp
  MergeFunctions.cpp
  PartialInlining.cpp
  PartialSpecialization.cpp
  PruneEH.cpp
  StripDeadPrototypes.cpp
  StripSymbols.cpp
  StructRetPromotion.cpp
  )

target_link_libraries (LLVMipo LLVMScalarOpts LLVMInstCombine)

=== debian/control ===
Source: clamav
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Stephen Gran <sgran@debian.org>, Michael Meskes <meskes@debian.org>,
 Michael Tautschnig <mt@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 6.0.7), po-debconf, zlib1g-dev, libbz2-dev, libmilter-dev,
 perl, bc, check, libtommath-dev, libltdl-dev, libncurses5-dev, python,
 libxml2-dev, dh-autoreconf, automake1.11, pkg-config
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-clamav/clamav.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-clamav/clamav.git;a=summary
Homepage: http://www.clamav.net/
XS-Testsuite: autopkgtest

Package: clamav-base
Architecture: all
Depends: ${misc:Depends}, adduser, ucf, logrotate
Recommends: clamav
Description: anti-virus utility for Unix - base package
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package mainly manages the clamav system account. It is not really
 useful without the clamav package. It also handles the configuration
 for both the clamav-daemon and the clamav-milter packages.

Package: clamav-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - documentation
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains the documentation for the ClamAV suite.

Package: clamav-dbg
Architecture: any
Depends: libclamav6, clamav (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Priority: extra
Section: debug
Description: debug symbols for ClamAV
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains the stripped debugging symbols for the ClamAV suite.

Package: clamav
Architecture: any
Depends: ${shlibs:Depends}, clamav-freshclam | clamav-data, ${misc:Depends}
Recommends: clamav-base
Suggests: clamav-docs
Description: anti-virus utility for Unix - command-line interface
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains the command line interface. Features:
  - built-in support for various archive formats, including Zip, Tar,
    Gzip, Bzip2, OLE2, Cabinet, CHM, BinHex, SIS and others;
  - built-in support for almost all mail file formats;
  - built-in support for ELF executables and Portable Executable files
    compressed with UPX, FSG, Petite, NsPack, wwpack32, MEW, Upack and
    obfuscated with SUE, Y0da Cryptor and others;
  - built-in support for popular document formats including Microsoft
    Office and Mac Office files, HTML, RTF and PDF.
 .
 For scanning to work, a virus database is needed. There are two options
 for getting it:
  - clamav-freshclam: updates the database from Internet. This is
    recommended with Internet access.
  - clamav-data: for users without Internet access. The package is
    not updated once installed. The clamav-getfiles package allows
    creating custom packages from an Internet-connected computer.

Package: libclamav-dev
Section: libdevel
Architecture: any
Depends: libclamav6 (= ${binary:Version}), libssl-dev, libidn11-dev, libc6-dev | libc-dev, zlib1g-dev, libbz2-dev, libtommath-dev, ${misc:Depends}
Description: anti-virus utility for Unix - development files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 The package contains the needed headers and libraries for
 developing software using the libclamav interface.
 .
 This library can be used to develop virus scanner applications.

Package: libclamav6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libclamunrar6
Description: anti-virus utility for Unix - library
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 For programs written using the libclamav library. Libclamav may be used to add
 virus protection into software. The library is thread-safe, and automatically
 recognizes and scans archives. Scanning is very fast and most of the time
 not noticeable.

Package: clamav-daemon
Architecture: any
Depends: ${shlibs:Depends}, clamav-base (= ${source:Version}), clamav-freshclam | clamav-data, lsb-base (>= 3.2-13), ucf, ${misc:Depends}
Suggests: daemon, clamav-docs, apparmor (>= 2.3+1289)
Description: anti-virus utility for Unix - scanner daemon
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains the daemon and its command line interface,
 featuring:
  - fast, multi-threaded daemon;
  - easy integration with MTA's;
  - support for on-access scanning;
  - remote scanning;
  - able to be run supervised by daemon.

Package: clamav-testfiles
Architecture: all
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - test files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains files 'infected' with a test signature. The test
 signature (ClamAV-Test-Signature) should be detectable by all
 anti-virus programs.

Package: clamav-freshclam
Architecture: any
Conflicts: clamav-data, libclamav3, libclamav2
Provides: clamav-data
Suggests: clamav-docs, apparmor (>= 2.3+1289)
Depends: ${misc:Depends}, clamav-base (>= ${source:Version}), ${shlibs:Depends}, ucf, logrotate, lsb-base (>= 3.2-13)
Description: anti-virus utility for Unix - virus database update utility
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains the freshclam program and scripts to automate virus
 database updating. It relies on an Internet connection, but can be
 run in a variety of ways to compensate for intermittent connections.

Package: clamav-milter
Architecture: any
Suggests: daemon, clamav-docs
Priority: extra
Recommends: clamav-daemon
Depends: ${shlibs:Depends}, clamav-base (>= ${source:Version}), clamav-freshclam | clamav-data, lsb-base (>= 3.2-13), ${misc:Depends}, adduser, ucf, logrotate
Description: anti-virus utility for Unix - sendmail integration
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package contains the ClamAV milter for use with sendmail. It can
 be configured to be run either standalone, or using clamav-daemon.

=== debian/rules ===
#! /usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export AUTOMAKE = automake-1.11
export ACLOCAL = aclocal-1.11

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
CXXFLAGS = `dpkg-buildflags --get CXXFLAGS`
CXXFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

DEBUG_OPTS=
STRIP_OPTS=

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
        STRIP_OPTS += dh_strip --dbg-package=clamav-dbg -p$@
else
	DEBUG_OPTS += --enable-debug
endif
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  with_check := disabled by DEB_BUILD_OPTIONS.
else
  ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
    with_check := disabled because cross-compiling.
  else
    with_check := yes
  endif
endif

# LLVM doesn't work on these archs, so no point in breaking the build over it.
ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 ppc64 powerpcspe ppc64el))
  export enable_llvm=no
endif

config.status: configure
	dh_testdir
	egrep '^#[[:alpha:]]' etc/clamd.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-base.postinst.in ; then \
	    echo "Unhandled option(clamd.conf): $${opt}"; \
	    exit 1; \
	  fi;\
	done;
	egrep '^#[[:alpha:]]' etc/freshclam.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-freshclam.postinst.in ; then \
	    echo "Unhandled option (freshclam.conf): $${opt}"; \
	    exit 1; \
	  fi;\
	done;
	egrep '^#[[:alpha:]]' etc/clamav-milter.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-milter.postinst.in ; then \
	    echo "Unhandled option (clamav-milter.conf): $${opt}"; \
	    exit 1; \
	  fi;\
	done;
	# Add here commands to configure the package.
	dh_autoreconf
	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-clamav --with-dbdir=/var/lib/clamav --sysconfdir=/etc/clamav --enable-milter --disable-clamuko --with-gnu-ld --enable-dns-fix ${DEBUG_OPTS} --disable-unrar --libdir=\$${prefix}/lib --with-system-tommath  --without-included-ltdl

build: build-stamp
build-stamp: build-arch build-indep
	touch build-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-base.config.in > debian/clamav-base.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-base.postinst.in > debian/clamav-base.postinst
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp:  config.status
	dh_testdir

ifeq ($(PO2DEBCONF),yes)
	po2debconf -e utf8 debian/clamav-base.templates.master > debian/clamav-base.templates
	po2debconf -e utf8 debian/clamav-freshclam.templates.master > debian/clamav-freshclam.templates
	po2debconf -e utf8 debian/clamav-milter.templates.master > debian/clamav-milter.templates
endif

	$(MAKE) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" pkgdatadir=/var/lib/clamav/ all
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.init.in > debian/clamav-milter.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.config.in > debian/clamav-milter.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.postinst.in > debian/clamav-milter.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.postinst.in > debian/clamav-daemon.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.init.in > debian/clamav-daemon.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.init.in > debian/clamav-freshclam.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.config.in > debian/clamav-freshclam.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.postinst.in > debian/clamav-freshclam.postinst
	touch build-arch-stamp
ifeq ($(with_check),yes)
ifneq (,$(filter alpha, $(shell dpkg-architecture -qDEB_BUILD_ARCH)))
	@echo "Ignoring errors because of #521737"
	-$(MAKE) check VERBOSE=1
else
ifneq (,$(filter ia64 sparc, $(shell dpkg-architecture -qDEB_BUILD_ARCH)))
	$(MAKE) check EF_ALIGNMENT=8 VERBOSE=1
else
	$(MAKE) check VERBOSE=1
endif
endif
else
	@echo "Testsuite not run: $(with_check)."
endif

clean:
	debconf-updatepo
	dh_testdir 
	dh_testroot 

ifeq (Makefile,$(wildcard Makefile))
	$(MAKE) distclean
endif
	rm -f target.h config.log
	rm -f build-arch-stamp build-indep-stamp install-indep-stamp install-arch-stamp build-stamp install-stamp
	rm -f debian/clamav-base.config
	rm -f debian/clamav-base.postinst
	rm -f debian/clamav-daemon.postinst
	rm -f debian/clamav-daemon.init
	rm -f debian/clamav-milter.init
	rm -f debian/clamav-milter.config
	rm -f debian/clamav-milter.postinst
	rm -f debian/clamav-freshclam.init
	rm -f debian/clamav-freshclam.config
	rm -f debian/clamav-freshclam.postinst
	rm -f libclamav/c++/llvm/utils/lit/lit/*.pyc
	dh_autoreconf_clean
	dh_clean

install: install-indep install-arch
install-indep: install-indep-stamp
install-indep-stamp: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -i -d
	
	touch install-indep-stamp

clamav-base: install
	dh_testdir
	dh_testroot
	dh_installdirs -p$@
	dh_installdocs -p$@
	dh_install -X.svn -p$@
	chmod +x debian/$@/usr/share/bug/$@/script
	dh_installchangelogs -p$@ ChangeLog 
	dh_installdebconf -p$@
	dh_installman -p$@
	dh_installexamples -p$@
	dh_compress -p$@ -Xexamples/
	dh_md5sums -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_fixperms -p$@
	dh_builddeb -p$@

clamav-docs: install-indep
	dh_testdir
	dh_testroot
	dh_installdirs -p$@
	dh_installdocs -p$@
	dh_install -X.svn -p$@
	dh_installchangelogs -p$@ ChangeLog 
	dh_compress -p$@ -X.pdf -X.html -X.css -X.png -X.uu
	rm -rf debian/clamav-docs/usr/share/doc/clamav-docs/html/.svn
	dh_md5sums -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_fixperms -p$@
	dh_builddeb -p$@

clamav-testfiles: install-indep
	dh_testdir
	dh_testroot
	dh_installdirs -p$@
	dh_installdocs -p$@
	dh_install -X.svn -p$@
	dh_installchangelogs -p$@ ChangeLog 
	dh_compress -p$@
	dh_md5sums -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_fixperms -p$@
	dh_builddeb -p$@

install-arch: install-arch-stamp
install-arch-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -a
	# Add here commands to install the package into debian/clamav.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/tmp/ -name '*.la'`
	
	touch install-arch-stamp

clamav-dbg: libclamav6
	dh_testdir
	dh_testroot
	dh_installdocs -p$@
	dh_installchangelogs -p$@ ChangeLog
	dh_compress -p$@
	dh_md5sums -p$@
	dh_shlibdeps -l debian/libclamav6/usr/lib -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_builddeb -p$@

clamav: install
	dh_testdir
	dh_testroot
	dh_installdirs -p$@
	dh_installexamples -X.svn -p$@
	dh_install -X.svn -p$@
	chmod +x debian/$@/usr/share/bug/$@/script
	dh_installman -p$@
	dh_installchangelogs -p$@ ChangeLog 
	dh_installdocs -p$@ 
	dh_link -p$@
	${STRIP_OPTS}
	dh_compress -p$@
	dh_md5sums -p$@
	dh_installdeb -p$@
	dh_shlibdeps -l debian/libclamav6/usr/lib -p$@
	dh_gencontrol -p$@
	dh_fixperms -p$@
	dh_builddeb -p$@

clamav-freshclam: install
	dh_testdir
	dh_testroot

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)(rc)/$1~$2/,dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/" \
http://sf.net/clamav/clamav-(.*).tar.gz debian uupdate
